
From: Andreas Gruenbacher <agruen@suse.de>

The cache parameter to mb_cache_shrink isn't used.  We may as well remove
it.

Signed-off-by: Andreas Gruenbacher <agruen@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ext2/xattr.c         |    2 +-
 fs/ext3/xattr.c         |    2 +-
 fs/mbcache.c            |    3 +--
 include/linux/mbcache.h |    2 +-
 4 files changed, 4 insertions(+), 5 deletions(-)

diff -puN fs/ext2/xattr.c~mbcache-remove-unused-mb_cache_shrink-parameter fs/ext2/xattr.c
--- devel/fs/ext2/xattr.c~mbcache-remove-unused-mb_cache_shrink-parameter	2005-07-16 13:51:08.000000000 -0700
+++ devel-akpm/fs/ext2/xattr.c	2005-07-16 13:51:08.000000000 -0700
@@ -823,7 +823,7 @@ cleanup:
 void
 ext2_xattr_put_super(struct super_block *sb)
 {
-	mb_cache_shrink(ext2_xattr_cache, sb->s_bdev);
+	mb_cache_shrink(sb->s_bdev);
 }
 
 
diff -puN fs/ext3/xattr.c~mbcache-remove-unused-mb_cache_shrink-parameter fs/ext3/xattr.c
--- devel/fs/ext3/xattr.c~mbcache-remove-unused-mb_cache_shrink-parameter	2005-07-16 13:51:08.000000000 -0700
+++ devel-akpm/fs/ext3/xattr.c	2005-07-16 13:51:08.000000000 -0700
@@ -1106,7 +1106,7 @@ cleanup:
 void
 ext3_xattr_put_super(struct super_block *sb)
 {
-	mb_cache_shrink(ext3_xattr_cache, sb->s_bdev);
+	mb_cache_shrink(sb->s_bdev);
 }
 
 /*
diff -puN fs/mbcache.c~mbcache-remove-unused-mb_cache_shrink-parameter fs/mbcache.c
--- devel/fs/mbcache.c~mbcache-remove-unused-mb_cache_shrink-parameter	2005-07-16 13:51:08.000000000 -0700
+++ devel-akpm/fs/mbcache.c	2005-07-16 13:51:08.000000000 -0700
@@ -316,11 +316,10 @@ fail:
  * currently in use cannot be freed, and thus remain in the cache. All others
  * are freed.
  *
- * @cache: which cache to shrink
  * @bdev: which device's cache entries to shrink
  */
 void
-mb_cache_shrink(struct mb_cache *cache, struct block_device *bdev)
+mb_cache_shrink(struct block_device *bdev)
 {
 	LIST_HEAD(free_list);
 	struct list_head *l, *ltmp;
diff -puN include/linux/mbcache.h~mbcache-remove-unused-mb_cache_shrink-parameter include/linux/mbcache.h
--- devel/include/linux/mbcache.h~mbcache-remove-unused-mb_cache_shrink-parameter	2005-07-16 13:51:08.000000000 -0700
+++ devel-akpm/include/linux/mbcache.h	2005-07-16 13:51:08.000000000 -0700
@@ -29,7 +29,7 @@ struct mb_cache_op {
 
 struct mb_cache * mb_cache_create(const char *, struct mb_cache_op *, size_t,
 				  int, int);
-void mb_cache_shrink(struct mb_cache *, struct block_device *);
+void mb_cache_shrink(struct block_device *);
 void mb_cache_destroy(struct mb_cache *);
 
 /* Functions on cache entries */
_
